解决方案检索(SolutionSearch)
根据用户问题从解决方案库中检索相关案例。
输入用户的技术问题描述,返回包含方案解决的问题、功效描述、创新点及 TRIZ 分析数据的方案列表。
请求参数
此 API 接口支持的参数列表
| 名称 | 类型 | 示例 | 描述 |
|---|---|---|---|
必填 | string | How to improve drainage efficiency? | 用户问题描述,说明需要解决的具体技术问题 |
| integer | 5 | 返回案例数量上限,默认20,最大100 |
响应结构
API 响应数据的结构说明
| 字段名 | 类型 | 示例 | 描述 |
|---|---|---|---|
data | object | - | 响应数据 |
cases | array | [{"case_id":"84ad176f-9403-40fb-bf26-819f8573c266","problem_summary":"...","effect_summary":"...","innovation_summary":"...","triz_technical_contradiction":[],"triz_svop":[],"triz_scientific_effects":[]}] | 案例列表 |
case_id必填 | string | 84ad176f-9403-40fb-bf26-819f8573c266 | 案例ID |
triz_svop | array | [{"P":[{"standard":"area","raw":"contact area"}],"S":{"instance":"guide plate","hypernym":"diversion part"},"V":{"standard":"remove","raw":"reduce contact area"},"O":{"instance":"contact area","hypernym":"interface"}}] | SVOP 分析数据 |
effect_summary | string | Effectively solves condensate accumulation. | 功效摘要 |
problem_summary | string | Condensate is hard to drain due to surface tension. | 问题摘要 |
innovation_summary | string | A drainage component with a guide plate. | 创新点摘要 |
triz_scientific_effects | array | [{"scientific_effects":[{"how_to_solve":"...","oxford_scientific_effect":"surface tension","scientific_effect":"surface tension"}],"oxford_function":"move liquid","function":"..."}] | 科学效应数据 |
triz_technical_contradiction | array | [{"contradiction_statement":"...","invention_principles_applied":[{"how_to_solve":"...","principle_id":"24","principle_name":"intermediary"}]}] | 技术矛盾数据 |
total | integer | 1 | 案例总数 |
status必填 | boolean | false | 状态 |
error_msg | string | The request parameter format is incorrect! | 错误信息 |
error_code必填 | integer | 0 | 错误代码 |
成功响应示例
成功调用 API 的响应示例
JSON
{
"data": {
"cases": [
{
"case_id": "84ad176f-9403-40fb-bf26-819f8573c266",
"triz_svop": [
{
"O": {
"hypernym": "接触界面",
"instance": "冷凝水与板体的接触面积"
},
"P": [
{
"raw": "接触面积",
"standard": "表面积"
}
],
"S": {
"hypernym": "导流部件",
"instance": "引流板"
},
"V": {
"raw": "减少接触面积",
"standard": "去除"
}
}
],
"effect_summary": "有效解决了冷凝水积聚和细菌滋生问题。",
"problem_summary": "在蒸箱烹饪过程中,冷凝水由于水的表面张力作用难以流入排水孔。",
"innovation_summary": "设计了一种排水组件,包括板体和至少一个引流板。",
"triz_scientific_effects": [
{
"function": "引流板减少冷凝水与板体的接触面积,破坏水的表面张力作用",
"oxford_function": "移动液体",
"scientific_effects": [
{
"how_to_solve": "由于水的张力作用,冷凝水会覆盖在排水孔上方而难以流入排水孔",
"scientific_effect": "表面张力",
"oxford_scientific_effect": "表面张力"
}
]
}
],
"triz_technical_contradiction": [
{
"improving_feature": {
"parameter_id": "27",
"parameter_name": "可靠性",
"specific_parameter": "排水通道防堵塞可靠性"
},
"worsening_feature": {
"parameter_id": "39",
"parameter_name": "生产率",
"specific_parameter": "冷凝水排水效率"
},
"contradiction_statement": "如果设置孔径较小的排水孔以避免食物残渣堵塞,那么排水通道的可靠性得到改善,但是冷凝水会覆盖在排水孔上方而难以流入",
"invention_principles_applied": [
{
"how_to_solve": "在排水孔处设置引流板作为中介物",
"principle_id": "24",
"principle_name": "中介物"
}
]
}
]
}
],
"total": "1"
},
"status": true,
"error_code": 0
}错误码
此接口可能返回的错误码列表
业务错误码
| 错误码 | 描述 |
|---|---|
68300004 | 请求参数异常! |
68300005 | 查询Api失败! |
68300006 | 解析基本存取错误! |
68300007 | 存在错误的请求! |
68300008 | 服务中断异常,请稍后再试! |
68300010 | 文件不符合上传规范! |
平台错误码
| 错误码 | 描述 |
|---|---|
67200000 | API整体限流错误! |
67200001 | API整体限流错误! |
67200002 | 当前调用速率过快,超过当前配置限制QPS! |
67200003 | 申请token的key和secret传参不正确或者客户端已被禁用! |
67200004 | 请求的接口无权限请联系我们的支持人员! |
67200005 | 账户余额/调用次数不足! |
67200006 | 客户端超过开通有效期! |
67200007 | 当前调用超过当天配置使用额度! |
67200008 | 请检查query参数中必填的apikey是否传输! |
67200009 | apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token! |
67200012 | 请求不合法! |
67200100 | 当前服务器状态正忙,请求响应超时! |
67200101 | 当前请求的Api不存在请检查请求Path! |
HTTP 状态码
| 状态码 | 描述 |
|---|---|
0 | 请求成功 |
性能指标
此接口的预期性能特征
正常响应时间
5000 ms
最大响应时间
10000 ms